Subject: Re: [PATCH 0/9] remove dead shell code

From: Junio C Hamano <[email-masked]>
Date: Thu, 02 Sep 2021 15:36:17 -0700

Ævar Arnfjörð Bjarmason <[email-masked]> writes:

> You'll know better what you meant, but I interpreted the docs you added
> for git-sh-setup in 850844e28f7 (Documentation/git-sh-setup.txt:
> programmer's docs, 2007-01-17) as a guide for in-tree porcelain scripts.

No, it is not for "in-tree".  Especially back then, one of the Git's
goal was to be and to stay scriptable, and git-sh-setup was for those
who are scripting, either "in-tree" or custom Porcelain people wrote
around Git as part of a larger Git ecosystem.